<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">

		<link type="text/css" rel="stylesheet" href="../../../build/fonts/fonts.css">
		<link type="text/css" rel="stylesheet" href="../../../build/reset/reset.css">

		<script type="text/javascript" src="../../../build/yahoo/yahoo.js"></script>
		<script type="text/javascript" src="../../../build/event/event.js" ></script>
		<script type="text/javascript" src="../../../build/dom/dom.js" ></script>
		<script type="text/javascript" src="../../../build/dragdrop/dragdrop.js" ></script>

		<script type="text/javascript" src="../../../build/container/container.js"></script>
		<link type="text/css" rel="stylesheet" href="../../../build/container/assets/container.css">

		<style>
			body { background:#eee }

			/* XP Panel Skin CSS */
			#panel1_c.yui-panel-container.shadow .underlay { background-color:#999; }

			/* Apply the border to the right side */
			#panel1.yui-panel { border:none; overflow:visible; background:transparent url(../assets/img/xp-brdr-rt.gif) no-repeat top right; }

			/* Style the close icon */
			#panel1.yui-panel .container-close { top:5px; right:8px; height:21px; width:21px; background-image:url(../assets/img/xp-close.gif);}

			/* Style the header with its associated corners */
			#panel1.yui-panel .hd { padding:0; border:none; background:transparent url(../assets/img/xp-hd.gif); color:#FFF; height:30px; margin-left:8px; margin-right:8px; text-align:left; vertical-align:middle; overflow:visible; }
			#panel1.yui-panel .hd span { line-height:30px; vertical-align:middle; }
			#panel1.yui-panel .hd .tl { width:8px;height:29px; top:1px;left:0; background:transparent url(../assets/img/xp-tl.gif); position:absolute; }
			#panel1.yui-panel .hd .tr { width:8px;height:29px; top:1px;right:0; background:transparent url(../assets/img/xp-tr.gif); position:absolute; }

			/* Style the body with the left border */
			#panel1.yui-panel .bd { overflow:hidden; padding:10px; border:none; background:#FFF url(../assets/img/xp-brdr-lt.gif) repeat-y; margin:0 4px 0 0; }

			/* Style the footer with the bottom corner images */
			#panel1.yui-panel .ft { background:transparent url(../assets/img/xp-ft.gif); font-size:11px; height:26px; padding:0px 10px; }
			#panel1.yui-panel .ft span { line-height:22px; vertical-align:middle; }
			#panel1.yui-panel .ft .bl { width:8px;height:26px; bottom:0;left:0; background:transparent url(../assets/img/xp-bl.gif); position:absolute; }
			#panel1.yui-panel .ft .br { width:8px;height:26px; bottom:0;right:0; background:transparent url(../assets/img/xp-br.gif); position:absolute; }

			/* Aqua Panel Skin CSS */
			#panel2_c.yui-panel-container.shadow .underlay { background-color:#999; }
			#panel2.yui-panel { border:none; overflow:visible; background-color:transparent; }

			/* Apply styles to the close icon to anchor it to the left side of the header */
			#panel2.yui-panel .container-close { top:3px; left:4px; height:18px; width:17px; background-image:url(../assets/img/aqua-hd-close.gif);}
			#panel2.yui-panel .container-close:hover { background-image:url(../assets/img/aqua-hd-close-over.gif); }

			/* Style the header and apply the rounded corners, center the text */
			#panel2.yui-panel .hd { padding:0; border:none; background:transparent url(../assets/img/aqua-hd-bg.gif); color:#000; height:22px; margin-left:7px; margin-right:7px; text-align:center; overflow:visible; }
			#panel2.yui-panel .hd span { vertical-align:middle; line-height:22px; }
			#panel2.yui-panel .hd .tl { width:7px; height:22px; top:0; left:0; background:transparent url(../assets/img/aqua-hd-lt.gif); position:absolute; }
			#panel2.yui-panel .hd .tr { width:7px; height:22px; top:0; right:0; background:transparent url(../assets/img/aqua-hd-rt.gif); position:absolute; }

			/* Style the body and footer */
			#panel2.yui-panel .bd { overflow:hidden; padding:4px; border:1px solid #aeaeae; background-color:#FFF; }
			#panel2.yui-panel .ft { font-size:75%; color:#666; padding:2px; overflow:hidden; border:1px solid #aeaeae; border-top:none; background-color:#dfdfdf; }
		</style>

		<script>
				YAHOO.namespace("example.container");

				function init() {
					YAHOO.example.container.panel1 = new YAHOO.widget.Panel("panel1", { width:"300px", visible:false, constraintoviewport:true } );
					YAHOO.example.container.panel1.render();

					YAHOO.example.container.panel2 = new YAHOO.widget.Panel("panel2", { width:"300px", visible:false, constraintoviewport:true } );
					YAHOO.example.container.panel2.setHeader("<div class='tl'></div><span>Panel #2 from Script</span><div class='tr'></div>");
					YAHOO.example.container.panel2.setBody("This is a dynamically generated Panel.");
					YAHOO.example.container.panel2.setFooter("<span>End of Panel #2</span>");
					YAHOO.example.container.panel2.render(document.body);

					YAHOO.util.Event.addListener("show1", "click", YAHOO.example.container.panel1.show, YAHOO.example.container.panel1, true);
					YAHOO.util.Event.addListener("hide1", "click", YAHOO.example.container.panel1.hide, YAHOO.example.container.panel1, true);

					YAHOO.util.Event.addListener("show2", "click", YAHOO.example.container.panel2.show, YAHOO.example.container.panel2, true);
					YAHOO.util.Event.addListener("hide2", "click", YAHOO.example.container.panel2.hide, YAHOO.example.container.panel2, true);

				}

				YAHOO.util.Event.addListener(window, "load", init);
		</script>

	</head>
	<body>
		<div>
			<button id="show1">Show panel1</button>
			<button id="hide1">Hide panel1</button>
		</div>

		<div id="panel1">
			<div class="hd"><div class="tl"></div><span>Panel #1 from Markup</span><div class="tr"></div></div>
			<div class="bd">This is a Panel that was marked up in the document.</div>
			<div class="ft"><div class="bl"></div><span>End of Panel #1</span><div class="br"></div></div>
		</div>

		<div>
			<button id="show2">Show panel2</button>
			<button id="hide2">Hide panel2</button>
		</div>

	</body>
</html>